function output = schroederAllpass(x, M, g)
% y = schroederAllpass(x, M, g)
%
% where M is the length of the delay line and g is the gain.

b = zeros(1, M+1);
b(1) = -g;
b(M+1) = 1;

a = zeros(1, M+1);
a(1) = 1;
a(M+1) = -g;

output = filter(b, a, x);
